Update endpoint
PATCH /v1/endpoints/{id}
Update an existing endpoint. Only provided fields are updated; omitted fields retain their current values.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Endpoint identifier (ep_ prefix + 32 hex chars)
Example
ep_550e8400e29b41d4a716446655440000Request Body required
Section titled “Request Body required ”object
Updated endpoint URL
Example
https://new-customer.app/webhooksUpdated description
Updated rate limit
Updated burst size
Updated custom headers
object
Examples
Update URL only
{ "url": "https://new-customer.app/webhooks"}Update rate limiting
{ "rate_limit_rps": 20, "burst": 40}Responses
Section titled “ Responses ”Endpoint updated successfully
object
object
Endpoint ID
Example
ep_550e8400e29b41d4a716446655440000Whether the update was successful
Example
trueobject
Unique identifier for this request (useful for support)
Example
req_xyz123Example
{ "data": { "id": "ep_550e8400e29b41d4a716446655440000", "updated": true }, "meta": { "request_id": "req_xyz123" }}Invalid request
object
object
Machine-readable error code
Example
INVALID_REQUESTHuman-readable error message
Example
endpoint must be a valid HTTPS URLobject
Unique identifier for this request (useful for support)
Example
req_xyz123Examples
Endpoint not found
{ "error": { "code": "ENDPOINT_NOT_FOUND", "message": "endpoint not found" }, "meta": { "request_id": "req_xyz123" }}Invalid endpoint ID format
{ "error": { "code": "INVALID_REQUEST", "message": "endpoint_id must be in format ep_xxx" }, "meta": { "request_id": "req_xyz123" }}Invalid payload
{ "error": { "code": "INVALID_REQUEST", "message": "payload must be valid JSON" }, "meta": { "request_id": "req_xyz123" }}Invalid headers
{ "error": { "code": "INVALID_HEADERS", "message": "header 'Host' is forbidden and cannot be overridden" }, "meta": { "request_id": "req_xyz123" }}Unauthorized - Invalid or missing API key
object
object
Machine-readable error code
Example
INVALID_REQUESTHuman-readable error message
Example
endpoint must be a valid HTTPS URLobject
Unique identifier for this request (useful for support)
Example
req_xyz123Example
{ "error": { "code": "UNAUTHORIZED", "message": "Invalid or missing API key" }, "meta": { "request_id": "req_xyz123" }}Resource not found
object
object
Machine-readable error code
Example
INVALID_REQUESTHuman-readable error message
Example
endpoint must be a valid HTTPS URLobject
Unique identifier for this request (useful for support)
Example
req_xyz123Example
{ "error": { "code": "NOT_FOUND", "message": "Message not found" }, "meta": { "request_id": "req_xyz123" }}Enter your credentials to populate code examples throughout the docs.